<?xml version="1.0" encoding="UTF-8"?>
<xs:schema attributeFormDefault="unqualified" elementFormDefault="qualified" xmlns:xs="http://www.w3.org/2001/XMLSchema" targetNamespace="seagull:rules/items">
  <xs:element name="ItemRules">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded" minOccurs="0">
        <xs:element name="Food">
          <xs:complexType>
            <xs:sequence>
              <xs:element type="xs:int" name="Min"/>
              <xs:element type="xs:int" name="Max"/>
            </xs:sequence>
            <xs:attribute type="xs:int" name="StoryBeat" use="optional" default="0"/>
          </xs:complexType>
        </xs:element>
        <xs:element name="Shinies">
          <xs:complexType>
            <xs:sequence>
              <xs:element type="xs:int" name="Min"/>
              <xs:element type="xs:int" name="Max"/>
            </xs:sequence>
            <xs:attribute type="xs:int" name="StoryBeat" use="optional" default="0"/>
          </xs:complexType>
        </xs:element>
        <xs:element name="Psi">
          <xs:complexType>
            <xs:sequence>
              <xs:element type="xs:int" name="Min"/>
              <xs:element type="xs:int" name="Max"/>
            </xs:sequence>
            <xs:attribute type="xs:int" name="StoryBeat" default="0"/>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
  </xs:element>
</xs:schema>